      program   intfcn

      implicit  none

      integer   ifcn

      write(*,*) ifcn(1.0d0)

      stop
      end

      integer function ifcn(x)
         implicit none

         real*8   x

         ifcn = x + x

         return
      end
